{% extends "base.html" %}

{% block content %}
<h1>Image Metadata</h1>
<form id="image-metadata-form">
    <label for="image-file">Upload Image:</label>
    <input type="file" id="image-file" name="file" required>
    <button type="submit">Extract Metadata</button>
</form>
<form id="image-metadata-url-form">
    <label for="image-url">Or Enter Image URL:</label>
    <input type="text" id="image-url" name="url" placeholder="Image URL" required>
    <button type="submit">Extract Metadata</button>
</form>
<div class="results-wrapper">
    <div id="result-container"></div>
</div>
{% endblock %}

{% block script %}
<script src="/static/js/image_metadata.js"></script>
{% endblock %}